Home | All Classes | Grouped Classes | Index | Search

# CL_Thread::CL_Thread

Create a thread.

    	CL_Thread(
    		CL_Runnable* runnable, bool delete_runnable = false);

    	CL_Thread(
    		int (*func)(void*), void* value);

    	CL_Thread(
    		const CL_Thread& copy);

    	CL_Thread();

Parameters:

runnable
  CL_Runnable object to be used as the thread run function.
delete_runnable
  If true, deletes the CL_Runnable object, when CL_Thread is destroyed.
func
  Callback function used as the thread run function. Example: int my_callback(void *value).
value
  Value parameter passed to callback function.

See also:

CL_Runnable | CL_Thread

Questions or comments, write to the ClanLib mailing list.